<xml> </xml>

db4o |

# StoredField.TraverseValues Method

specialized highspeed API to collect all values of a field for all instances of a class, if the field is indexed.

void TraverseValues(
Visitor4 visitor
);

#### Parameters

visitor
  the visitor to be called with each index value.

#### Remarks

specialized highspeed API to collect all values of a field for all instances of a class, if the field is indexed.
The field values will be taken directly from the index without the detour through class indexes or object instantiation.
If this method is used to get the values of a first class object index, deactivated objects will be passed to the visitor.

#### See Also

StoredField Interface | com.db4o.ext Namespace